<?php
use Facebook\Facebook;
use Facebook\Exceptions\FacebookResponseException;
use Facebook\Exceptions\FacebookSDKException;

require_once './facebook/graph-sdk/src/Facebook/autoload.php';
require_once './facebook/graph-sdk/src/Facebook/Exceptions/FacebookResponseException.php';
require_once './facebook/graph-sdk/src/Facebook/Exceptions/FacebookSDKException.php';
require_once './facebook/graph-sdk/src/Facebook/Helpers/FacebookRedirectLoginHelper.php';

$appId = "YOUR APP ID";
$appSecret = "APP SECRET KEY";
$fb = new Facebook([
    'app_id' => $appId,
    'app_secret' => $appSecret,
    'default_graph_version' => 'v3.1'
]);

$accessToken = "{access-token}";

$postData = "";
try {
    $userPosts = $fb->get("/{user-id}/feed", $accessToken);
    $postBody = $userPosts->getDecodedBody();
    $postData = $postBody["data"];
} catch (FacebookResponseException $e) {
    // display error message
    exit();
} catch (FacebookSDKException $e) {

    // display error message
    exit();
}

require_once "wall-view.php";
?>